import { useEffect, useState } from 'react';
export const useDynamicImport = (name)=>{
    const [props, setProps] = useState(null);
    useEffect(()=>{
        let resolved = false;
        import(`@docgen/${name}.json`).then((props)=>{
            if (!resolved) {
                resolved = true;
                setProps(props.default);
            }
        }).catch(console.error);
        return ()=>{
            resolved = true;
        };
    }, [
        name
    ]);
    return props;
};

//# sourceMappingURL=useDynamicImport.js.map